security/pam-saml - The NetBSD Packages Collection

Crude SAML assertion validator for bridging WebSSO and PAM

PAM provides a way to develop programs that are independent of
authentication scheme.  These programs need "authentication modules" to be
attached to them at run-time in order to work.  Which authentication module
is to be attached is dependent upon the local system setup and is at the
discretion of the local system administrator.

This package contains a PAM module that perform a crude
check on a SAML authentication assertion. The assertion signature and date
are verified, and access is granted on behalf ot the user taked for a
onfigurable attribute.

The only protection against replay attacks is the assertion validity dates
checks, this authentication is therefore secure only if the SAML
authentication assertion remains secret. The assertion has the same role
as a web cookie used for authentication.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/pkgconf

Runtime dependencies

security/cyrus-sasl textproc/libxml2 security/lasso security/cyrus-sasl textproc/libxml2 security/lasso

Available binary packages

aarch64:pam-saml-1.9nb4.tgz(NetBSD 9.0)
aarch64:pam-saml-1.9nb4.tgz(NetBSD 9.0)
aarch64:pam-saml-1.9nb5.tgz(NetBSD 9.0)
alpha:pam-saml-1.9nb5.tgz(NetBSD 9.0)
alpha:pam-saml-1.9nb4.tgz(NetBSD 9.0)
earmv6hf:pam-saml-1.9nb5.tgz(NetBSD 9.0)
earmv6hf:pam-saml-1.9nb4.tgz(NetBSD 9.0)
earmv6hf:pam-saml-1.9nb4.tgz(NetBSD 9.0)
earmv6hf:pam-saml-1.9nb5.tgz(NetBSD 9.0)
earmv7hf:pam-saml-1.9nb5.tgz(NetBSD 8.0)
earmv7hf:pam-saml-1.9nb3.tgz(NetBSD 8.0)
earmv7hf:pam-saml-1.9nb4.tgz(NetBSD 8.0)
earmv7hf:pam-saml-1.9nb5.tgz(NetBSD 9.0)
earmv7hf:pam-saml-1.9nb3.tgz(NetBSD 9.0)
earmv7hf:pam-saml-1.9nb4.tgz(NetBSD 9.0)
earmv7hf:pam-saml-1.9nb4.tgz(NetBSD 9.0)
earmv7hf:pam-saml-1.9nb5.tgz(NetBSD 9.0)
i386:pam-saml-1.9nb4.tgz(NetBSD 8.0)
i386:pam-saml-1.9nb4.tgz(NetBSD 8.0)
i386:pam-saml-1.9nb5.tgz(NetBSD 8.0)
i386:pam-saml-1.9nb4.tgz(NetBSD 9.0)
i386:pam-saml-1.9nb4.tgz(NetBSD 9.0)
i386:pam-saml-1.9nb5.tgz(NetBSD 9.0)
mips64eb:pam-saml-1.9nb4.tgz(NetBSD 9.0)
powerpc:pam-saml-1.9nb5.tgz(NetBSD 8.0)
powerpc:pam-saml-1.9nb4.tgz(NetBSD 8.0)
powerpc:pam-saml-1.9nb4.tgz(NetBSD 9.0)
powerpc:pam-saml-1.9nb4.tgz(NetBSD 9.0)
sparc64:pam-saml-1.9nb5.tgz(NetBSD 9.0)
sparc64:pam-saml-1.9nb4.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb5.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb5.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb5.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb4.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb4.tgz(NetBSD 8.0)
x86_64:pam-saml-1.9nb4.tgz(NetBSD 8.0)
x86_64:pam-saml-1.9nb5.tgz(NetBSD 8.0)
x86_64:pam-saml-1.9nb4.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb4.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb5.tgz(NetBSD 9.0)
x86_64:pam-saml-1.9nb5.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]